Page MenuHomePhabricator

Upgrade Zuul on gallium to 2.5.0-8-gcbc7f62-wmf3precise1
Closed, ResolvedPublic

Description

Needed a fix on scandium and I bumped both Jessie and Precise version. The new package for Precise has to be installed on gallium.wikimedia.org. It already has been pushed to apt.wikimedia.org

zuul (2.5.0-8-gcbc7f62-wmf3precise1) precise-wikimedia; urgency=medium

  * Fix shebang of several scripts to point to the virtualenv.
    Refresh 0002-Replace-python-shebang-with-python2.7.patch
    Related to T103529

 -- Antoine Musso <hashar@free.fr>  Tue, 13 Sep 2016 13:09:23 +0200
gallium:~$ apt-cache policy zuul
zuul:
  Installed: 2.5.0-8-gcbc7f62-wmf2precise1
  Candidate: 2.5.0-8-gcbc7f62-wmf3precise1
  Version table:
     2.5.0-8-gcbc7f62-wmf3precise1 0
       1001 http://apt.wikimedia.org/wikimedia/ precise-wikimedia/main amd64 Packages
 *** 2.5.0-8-gcbc7f62-wmf2precise1 0
        100 /var/lib/dpkg/status
     2.1.0-60-g1cc37f7-wmf4precise1 0
       1001 http://apt.wikimedia.org/wikimedia/ precise-wikimedia/thirdparty amd64 Packages

Event Timeline

hashar created this task.Sep 30 2016, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2016, 2:34 PM
hashar updated the task description. (Show Details)Sep 30 2016, 2:36 PM

Mentioned in SAL (#wikimedia-operations) [2016-10-11T14:58:03Z] <hashar> Upgrading Zuul on gallium 2.5.0-8-gcbc7f62-wmf2precise1 2.5.0-8-gcbc7f62-wmf3precise1 (merely a noop for zuul scheduler) T147070

hashar closed this task as Resolved.Oct 11 2016, 2:58 PM
hashar claimed this task.
$ zuul --version
Zuul version: 2.5.0-8-gcbc7f62-wmf3precise1

$ apt-cache policy zuul
zuul:
  Installed: 2.5.0-8-gcbc7f62-wmf3precise1
  Candidate: 2.5.0-8-gcbc7f62-wmf3precise1
  Version table:
 *** 2.5.0-8-gcbc7f62-wmf3precise1 0
       1001 http://apt.wikimedia.org/wikimedia/ precise-wikimedia/main amd64 Packages
        100 /var/lib/dpkg/status
     2.1.0-60-g1cc37f7-wmf4precise1 0
       1001 http://apt.wikimedia.org/wikimedia/ precise-wikimedia/thirdparty amd64 Packages
$